- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ApproximateBeliefState::DynamicModeEstimateGenertation::DynamicModeEstimateGenerator Class Reference

`#include <DynamicModeEstimateGenerator.h>`

Inheritance diagram for Mers::Estimation::Discrete::ApproximateBeliefState::DynamicModeEstimateGenertation::DynamicModeEstimateGenerator:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::ApproximateBeliefState::DynamicModeEstimateGenertation::DynamicModeEstimateGenerator:

[legend]
List of all members.

## Public Member Functions
| DynamicModeEstimateGenerator (const Mers::Models::CCA::CCAModel &cca, Mers::Estimation::Discrete::Trajectories *initialTrajectories=NULL)
virtual | ~DynamicModeEstimateGenerator ()
virtual unsigned int | getNumConflictsGenerated (void)
| For time requirements testing.

## Detailed Description

The DynamicModeEstimateGenerator is an HHM estimation engine that generates estimates that are consistent with the CCA model, commands, and observations. Estimates are generated in best-first order (highest posterior probability first) by using Opsat to find the most likely diagnoses. This implimentation of ModeEstimator tracks the k most likely approximate belief states over time using an OCSP solver for each trajectory and deciding what OCSP solver to expand using A* type heuristics that are based on the structure of a belief state.

Definition at line 60 of file DynamicModeEstimateGenerator.h.

## Constructor & Destructor Documentation

DynamicModeEstimateGenerator::DynamicModeEstimateGenerator | ( | const Mers::Models::CCA::CCAModel & | cca,
|  | Mers::Estimation::Discrete::Trajectories * | initialTrajectories = `NULL` |
| ) |  |  |

Creates a new ModeEstimator. The core functionality is derived from the ModeEstimatorBase. The only major addition to the base class is the generateTrajectories method using OPSAT to enumerate estimates in best-first order.

Parameters:

  | cca | the complete CCAModel of the system including all variables, domains, transitions, and constraints
  | initialTrajectories | the initial probability distribution across states.

Definition at line 51 of file DynamicModeEstimateGenerator.cpp.

DynamicModeEstimateGenerator::~DynamicModeEstimateGenerator | ( |  | ) | `[virtual]`

Destroys the mode estimator

Definition at line 62 of file DynamicModeEstimateGenerator.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ApproximateBeliefState/DynamicModeEstimateGeneration/DynamicModeEstimateGenerator.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ApproximateBeliefState/DynamicModeEstimateGeneration/DynamicModeEstimateGenerator.cpp